CJK LaTeX batch commands(1)

NAME
bg5latex - Use LaTeX directly on a Big5 encoded .tex file
bg5pdflatex - Use pdfLaTeX directly on a Big5 encoded .tex file
bg5+latex - Use LaTeX directly on a Big5+ encoded .tex file
bg5+pdflatex - Use pdfLaTeX directly on a Big5+ encoded .tex file
cef5latex - Use LaTeX directly on a Big5 encoded .tex file
               containing CEF macros
cef5pdflatex - Use pdfLaTeX directly on a Big5 encoded .tex file
               containing CEF macros
ceflatex - Use LaTeX directly on a .tex file containing CEF
               macros
cefpdflatex - Use pdfLaTeX directly on a .tex file containing CEF
               macros
cefslatex - Use LaTeX directly on an SJIS encoded .tex file
               containing CEF macros
cefspdflatex - Use pdfLaTeX directly on an SJIS encoded .tex file
               containing CEF macros
gbklatex - Use LaTeX directly on a GBK encoded .tex file
gbkpdflatex - Use pdfLaTeX directly on a GBK encoded .tex file
sjislatex - Use LaTeX directly on an SJIS encoded .tex file
sjispdflatex - Use pdfLaTeX directly on an SJIS encoded .tex file

SYNOPSIS
bg5latex file.tex
bg5pdflatex file.tex
etc.

DESCRIPTION
This manual page briefly documents the different *latex batch files that come with the CJK LaTeX macro.

The *latex commands are shell scripts that will convert a (Big5(+), GBK or SJIS encoded) .tex file in a .cjk file using the respective *conv command resulting in a .cjk file, and will then run (pdf)latex on the .cjk file.

If you use Big5+ encoding, then use bg5+latex or bg5+pdflatex.

If you use CEF macro's in your Big5 or SJIS encoded file, use cef5latex or cefslatex resp. instead. If it's in plain ASCII, use ceflatex.

If you use GNU/Emacs (>=20), you don't have to use any of these commands: just put the Lisp file "cjk-enc.el" in Emacs' load-path, load the library "cjk-enc" and run "M-x cjk-write-file" to create a .cjk file. Then process the .cjk file with latex or pdflatex.

SEE ALSO
bg5conv(1), bg5+conv(1), cef5conv(1), cefconv(1), cefsconv(1), extconv(1), sjisconv(1), the CJK documentation files in /usr/share/doc/latex-cjk-common/.

AVAILABILITY
The *latex scripts are part of the CJK macro package for LaTeX 2e available at the CTAN hosts and its mirrors, and available for Debian under latex-cjk-chinese and latex-cjk-japanese.

AUTHOR
The programs mentioned under NAME were written by Werner Lemberg <wl@gnu.org>.

This manual page was written by Danai SAE-HAN <danai.sae-han@edpnet.be> for the Debian project. It is licensed under the GNU General Public License version 2 or higher, of which you can find a copy online at http://www.gnu.org/licenses/gpl.txt or on Debian systems under /usr/share/common-licenses/GPL-2 (part of the "base-files" package).